#pragma once

#include "event.h"

class Node;

namespace pp::panopainter {

kEventResult handle_legacy_ui_node_event(Node& node, Event* e);
void legacy_ui_node_mouse_capture(Node& node);
void legacy_ui_node_mouse_release(Node& node);
void legacy_ui_node_key_capture(Node& node);
void legacy_ui_node_key_release(Node& node);

} // namespace pp::panopainter
